h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}


/* End Blazor Default Classes */


:root {
    --gpgreen: #009716;
    /*--gpdarkgreen: #016710;*/
    --gpdarkgreen: #013e0a;
    /*--gplightgreen: #6bc36e;*/
    --gplightgreen: #77d97a;
    --gpcardback: #d1eed2;
    --gpgradback: #e1f3e1;
    --gpgreen3: #8bdd8d;
    --gpwhite: #ffffff;
    --gpback: #dcf5dd;
    --gpcancel: #e5e139;
    --gperror: #e50000;
    --gpshadow: #26b050;
    --gpborder: #27cf1f;
    --gpnavitem: #007c03;
    --gpnavback: #cdffdc;
    --gpnavback: #d6f2d5;
    --gpgold: #ffd701;
    --gpoutlinegold: #d2b100;
    --gpblack: #000000;
    --gpmaroon: #ba0202;
    --gplightgray: #d7d7d7;
    --gpbackgray: #e9e9e9;
    --gpyellow: #ffe754;
    --spbackground: #e6eee0be;
    --navback: #e6eee0;
}


input {
    /*background-color: var(--gpback) !important;*/
    border: solid 1px var(--gpgreen) !important;
    height: 1.6rem;
    
}

/* Hides the built in "eye" in MS Edge*/
::-ms-reveal {
    display: none;
}    

select {
    /*background-color: var(--gpback) !important;*/
    border: solid 1px var(--gpgreen) !important;
    height: 1.7rem;
}

.form-control {
    padding: 0 0 0 3px;
    margin-top: 0.25rem;
}

.form-select {
    margin-top: 0.25rem;
}


.form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.15rem var(--gpgreen);
    border: solid 1px var(--gpoutlinegold);
}

.form-check-input {
    width: 1.25rem;
    height: 1.25rem;
    margin-right: 8px;
        
}


h3 {
    color: var(--gpdarkgreen);
    font-size: 1.675rem;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

main {
    height: 100vh;
    overflow: auto;
    font-family: 'Aptos', Arial, 'Sans Serif Collection', sans-serif;
}

.maindiv 
{
    height: 95%;
    overflow-x: hidden;
    overflow-y: auto;
    max-width: 1450px;
}


.gpheader {
    display: flex;
    flex-direction: row;
    align-content: center;
    justify-content: space-between;
    margin: 8px;
    border-bottom: 2px solid var(--gpgreen);
}

.gpfooter {
    padding-top: 10px;
    background-color: transparent;
    border: none;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-content: center;
    
}


.gpheadcustinfo
{
    font-size: 1.5rem;
    color: var(--gpdarkgreen);

}


.content {
    background-image: url('images/PortalBackground2.png');
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    
    
    
    min-height: 80vh;
    
    

}


.SPCheckMark 
{
    height: 24px;
    
}

.LogoutLink
{
    font-size: 0.85rem;
    color: darkgreen;
    transition: 200ms;
}

.LogoutLink:hover
{
    font-size: 1rem;

}

.editformdiv 
{
    width: 95%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-size: 0.75rem;

}

.editformdiv h4
{
    color: var(--gpdarkgreen);
    text-align: center;
}

.editform {
    display: flex;
    flex-direction: column;
    border: 2px solid var(--gpdarkgreen);
    border-radius: 10px;
    width: 100%;
    max-width: 600px;
    padding: 8px;
}

.editformheader {
    display: flex;
    flex-direction: column;
    background-color: var(--gplightgreen);
    font-size: 1.0rem;
    font-weight: 500;
    border-radius: 5px;
}


.editformrow {
    display: flex;
    align-items: center;
    gap: 12px;
    width: 100%;
    overflow: auto;
    padding-left: 8px;
    padding-right: 8px;
}

    .editformrow .form-label 
    {
        width: 100%;
        text-align: left;
    }

    .editformrow .form-check-label
    {
        text-align: left;
        font-size: 0.9rem;
        
        height: 100%;
        padding-top: 4px;


        
    }

    .editform .form-control {
        font-size: 0.85rem;
    }




.editformlabel {
 
    vertical-align: middle;
    font-size: 0.8rem;
    text-align: left;
    text-wrap: nowrap;
}

.editformdate {
    width: min(90%, 300px);
}


.LotEdit
{
    width: 10rem;
}

.deletedcard
{
    text-decoration: line-through;
}

.StateSelect
{
    font-size: 0.8rem;
    margin-top: 2px;
    border: blue 1px solid;
    padding-left: 0;
}

.EditCheck
{
    display: flex;
    flex-direction: row;
    gap: 8px;
    justify-content: center;
    
    font-size: 0.85rem;
    align-content: center;
    text-wrap:nowrap;
    margin-bottom: 0.5rem;
    
    

    
}

.EditText
{
    width: min(90%,  300px);
}

.EditSelect
{
    font-size: 0.85rem;
    padding: 0 2px 0 4px;
    min-width: 50px;
    max-width: 110px;
}

.AddressEditText {
    width: 100%;
}



.btnroweven {
    
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 0 32px 8px 32px;

}


.btnrow
{
    padding: 8px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 8px;

}

.warningtext {
    padding: 10px;
    color: maroon;
    
}


.gplabel {
    padding-left: 1rem;
    vertical-align: middle;
    font-weight: 530;
    color: var(--gpdarkgreen);
    font-size: 0.9rem;
    text-align: left;
    
}

.gpValidationOK {
    font-size: 0.80rem;
    color: var(--gpdarkgreen);
    padding: 0px;
    margin: 0px;
}

.gpValidationError {
    font-size: 0.9rem;
    color: var(--gperror);
    padding: 0px;
    margin: 0px;
    transform-origin: top left;
}

    .gpValidationError:hover {
        transform: scale(1.25) translate(-10, -10);
        transition: 0.4s;
    }


.gpswitch {
    height: 1.5rem;
    width: 3rem !important;
}

.gpswitchdiv {
    text-align: left;
    vertical-align: middle;

}


.gpformcard {
    border: solid 2px var(--gpgold);
    /*background: linear-gradient(to right, white, var(--gpcardback),  white);*/
    margin-top: 5px;
    margin-bottom: 5px;
    padding: 0;
    border-radius: 0.5rem;
    margin-right: auto !important;
    margin-left: auto !important;
    outline: var(--gpgreen) solid 1px;
    background-color: #ffffffc9;
    
}

/* shh! */
.x3sfoifew {
    display: none;
}



.logincard {
    width: min(90%, 500px);
}



.grillopadlogo {
    width: 50%;
    max-width: 300px;
}


.gpsidetext {
    font-size: 0.90rem;
    font-style: italic;
    color: var(--gpdarkgreen);
    padding: 0px;
    margin: 0px;
}

.gperror {
    font-size: 0.8em;
    text-align: left;
    color: red;
    padding: 0;
}



.gpsmalltext {
    font-size: 0.75rem;
    color: black;
    word-wrap: break-word;
}


/* home page */
.homemain {
    
}


.UserCard {
    border: 2px solid var(--gpgreen);
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--spbackground);
    padding-top: 4px;
}

.UserCardPic {
    width: 48px;
    fill: var(--gpgreen);
}



.homenav 
{
    
    width: 100%;
    display: flex;
    flex-direction: column;
  
}




.homecontent 
{
    margin: 8px 16px 8px 0;

}


.subnav 
{
    display: flex;
    flex-direction: column;
    
}


/*** button ***/

.btn-mini {
    height: 1.25rem;
    color: white;
    background-color: green;
    font-size: 0.7rem;
    padding: 0 3px 0 3px;
    min-width: 3.5rem;
    border: 1px transparent solid;
    margin: 0;
    transition: 150ms;
}

    .btn-mini:hover {
        box-shadow: rgba(0,0,0,0.6) 3px 3px;
        border: 1px white solid;
    }


.form-check-input:checked
{
    background-color: var(--gpgreen);
    outline: gold 3px solid;
}

.spnavbtn {
    color: var(--gpdarkgreen);
    font-size: 1.25rem;
    width: 100%;
    background-color: var(--navback);
    transition: 200ms;
    margin: 2px;
    border-right: 1px outset var(--gpgreen);
}

    .spnavbtn:hover {
        color: var(--gpdarkgreen);
        transform: translate(1px, 1px);
        border: 1px solid var(--gpgreen);
        box-shadow: rgba(0,0,0,0.6) 2px 2px;
    }

    .spnavbtn:focus
    {
        color: var(--gpdarkgreen);
       
    }

    .spnavbtn.active {
        font-weight: 550;
        text-decoration: underline;
        border-top: 1px solid black;
        border-bottom: 1px solid black;
        border-left: 2px solid black;
        background-color: white;
    }

.spnavbtn2 {
    color: var(--gpdarkgreen);
    font-size: 1.0rem;
    min-width: 200px;
    padding: 3px;
    background-color: var(--spbackground);
    border-left: 1px solid green;
    border-top: 1px solid green;
    transition: 150ms;
    
    
}

    .spnavbtn2:hover {
        color: var(--gpdarkgreen);
        transform: translate(1px, 1px);
        box-shadow: rgba(0,0,0,0.6) 2px 2px;
    }

    .spnavbtn2:focus {
        color: var(--gpdarkgreen);
    }

    .spnavbtn2.active {
        font-weight: 550;
        text-decoration: underline;
        border-left: 2px solid darkgreen;
        border-top: 2px solid darkgreen;

        background-color: white;
        box-shadow: rgba(0,0,0,0.6) 1px 1px;
    }


.gpnavbtn {
    color: var(--gpdarkgreen);
    background-color: var(--spbackground);
    font-size: 1.25rem;
    width: 100%;
    margin: 4px;
    border: 1px solid gray;
    
}

    .gpnavbtn:hover {
        color: var(--gpdarkgreen);
        transform: translate(1px, 1px);
        border: 2px solid var(--gpgold);
        transition: 300ms;
        box-shadow: rgba(0,0,0,0.6) 2px 2px;
    }

    .gpnavbtn:focus {
        color: var(--gpdarkgreen);
    }

    .gpnavbtn.active {
        font-weight: 550;
        text-decoration: underline;
        border-top: 1px solid black;
        border-bottom: 1px solid black;
        border-left: 2px solid black;
        background-color: white;
    }






.btn-primary 
{
    background-color: var(--gpdarkgreen);
}

    .btn-primary:hover {
        background-color: var(--gpgreen);
    }

.btn-gphprimary {
    border-top-left-radius: 0;
    border-top-right-radius: 8px;
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 0;
    color: black;
    font-weight: 500;
    background-color: var(--gplightgreen);
    margin-top: 3px;
    border: 2px black solid;
    transition: 200ms;
    font-size: 0.85rem;
    max-width: 200px;
    height: 2.75em;
    align-self: center;
}

.btn-gphprimary:hover {
    box-shadow: rgba(0,0,0,0.6) 4px 4px;
    border: 1px black solid;
}


.btn-gphcancel {
    border-top-left-radius: 0;
    border-top-right-radius: 8px;
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 0;
    color: black;
    font-weight: 500;
    background-color: var(--gpgold);
    margin-top: 3px;
    border: 2px black solid;
    transition: 200ms;
    font-size: 0.85rem;
    max-width: 200px;
    height: 2.75em;
    align-self: center;
}

.btn-gphcancel:hover {
    box-shadow: rgba(0,0,0,0.6) 4px 4px;
    border: 1px black solid;
}


.btn-gphprimary-sm {
    border-top-left-radius: 0;
    border-top-right-radius: 8px;
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 0;
    color: black;
    font-weight: 500;
    background-color: var(--gplightgreen);
    margin-top: 1px;
    border: 2px black solid;
    transition: 200ms;
    font-size: 0.65rem;
    max-width: 200px;
    padding-top: 3px;
    padding-bottom: 3px;
}

.btn-gphprimary-sm:hover {
    box-shadow: rgba(0,0,0,0.6) 2px 2px;
    border: 1px black solid;
}





/* end buttons */

/* GP Dialog */

.gpmodal {
  
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1100;
    width: 100%;
    height: 100%;
    overflow-x: hidden;
    overflow-y: auto;
    outline: 0;
    
}

.gpmodalcard-header {
    
    background: var(--gpcardback);
}

.gpmodalcard-title {
    font-size: 1.25rem;
    font-weight: 600;
    color: var(--gpdarkgreen);
    text-align: center;
    
}

.gpmodalcard-footer 
{
    text-align: center;
}

.gpmodalcard {
    border: solid 2px var(--gpgreen);
    /*background: linear-gradient(to right, white, var(--gpcardback),  white);*/
    margin-top: 5px;
    margin-bottom: 5px;
    top: 100px;
    padding: 0;
    border-radius: 0.5rem;
    margin-right: auto !important;
    margin-left: auto !important;
    outline: var(--gpgreen) solid 1px;
    box-shadow: 0 0 18px var(--gpgold);
    animation: pulseGlow 5s ease-in-out infinite;
}

@keyframes pulseGlow {
    0% {
        box-shadow: 0 0 18px var(--gpgreen);
    }

    50% {
        box-shadow: 0 0 28px var(--gpgold);
    }

    100% {
        box-shadow: 0 0 18px var(--gpgreen);
    }
}


.WebTitleDiv {
    max-width: 99%;
    background-color: #ffffffcd;
    display: flex;
    flex-direction: row;
    align-content: center;
    justify-content: space-between;
    border: 2px solid var(--gpgreen);
    border-radius: 8px;
    padding: 8px;
}

.WebTitleImg
{
    width: 56px;
}


.WebTitle 
{
    font-size: 1.75rem;
    text-align: center;
    align-self: center;

}

.WebTitleLink 
{
    color: var(--gpgreen);
    text-align: center;
    align-content: center;
    transition: 200ms;
    padding: 4px;
}
    .WebTitleLink:hover 
    {
        outline: 1px solid var(--gpgreen);
        transform: translate(2px, 2px);
    }




.sticky-header th {
    position: sticky;
    top: 0;
    z-index: 5;
}

.tablediv {
    max-height: 600px;
    overflow-y: auto;
}





/* analytics */
.analyticscard 
{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 4px;
}

.analyticscard h3 
{
    font-size: 1.4rem;
    text-align: center;
}


/* widgets */
.portalwidget {
    border: 1px solid var(--gpdarkgreen);
    padding: 4px;
    border-radius: 5px;
    box-shadow: 2px 2px #00850f8c, 4px 4px #00850f5b;
    background-color: #ffffffc8;
    text-align: center;
    
}

.portalwidgetheader {
    background-color: #ffffffc1;
    border-top: 2px solid var(--gpgreen);
    border-left: 2px solid var(--gpgreen);
    border-right: 2px solid var(--gpgreen);
    
    margin-top: 8px;
    
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding-left: 8px;
    padding-right: 8px;
    border-radius: 5px;
}

.portalwidgetname 
{
    font-size: 1.2rem;
    font-weight: bold;
    color: var(--gpdarkgreen);

}


.rvpmaintnav {
    display: flex;
    flex-direction: row;
    justify-content: start;
    
}

.rvpnavbtn {
    color: black;
    font-size: 0.9rem;
    padding: 8px;
    background-color: #b2fab4;
}

.rvpnav 
{
    border-left: 1px solid green;
    border-top: 1px solid green;
    border-right: 1px solid green;
    border-radius: 5px;

}

.rvpcontent {
    width: auto;
    overflow: auto;
    
}

    .rvpcontent h2 {
        color: white;
        background-color: var(--gpgreen);
        margin: 0;
        padding-left: 8px;
        
    }

    .rvpcontent h3 {
        font-size: 1.2rem;
        margin: 8px;
    }

.rvAllLotTable {
    font-size: 0.85rem;
    overflow: auto;
    
    
}

    .rvAllLotTable th {
        /*background-color: #5ea7ad;*/
        background-color: var(--gpgreen);
        color: white;
        text-wrap: nowrap;
        padding: 4px;
        
    }

    .rvAllLotTable td {
        text-wrap: nowrap;
        padding: 4px;
    }


.rvHistoryTable {
    font-size: 0.75rem;
    text-wrap: nowrap;
    overflow: auto;
    
}

    .rvHistoryTable th {
        /*background-color: #5ea7ad;*/
        background-color: var(--gpgreen);
        color: white;
        text-wrap: nowrap;
        padding: 4px;
    }

    .rvHistoryTable td {
        text-wrap: nowrap;
        padding: 4px;
    }
